This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 32807 - dhcpcd is incomplete; patches included
dhcpcd is incomplete; patches included
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
ftp://ftp.kscanners.no/pub/SRPMS/dhcp...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-23 04:23 EST by Toralf
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-12 03:13:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Revert host/domain name + execute script on release (5.03 KB, patch)
2001-03-23 04:25 EST, Toralf
no flags Details | Diff
Create /etc/yp.conf, and update domain name by default (3.38 KB, patch)
2001-03-23 04:29 EST, Toralf
no flags Details | Diff
Create /etc/ntp.conf (3.56 KB, patch)
2001-03-23 04:30 EST, Toralf
no flags Details | Diff
Updated RPM .spec file (3.44 KB, text/plain)
2001-03-23 04:33 EST, Toralf
no flags Details
Add retry loop for hardware address lookup (3.48 KB, patch)
2001-04-04 07:39 EDT, Toralf
no flags Details | Diff

  None (edit)
Description Toralf 2001-03-23 04:23:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-22 i686)


I've updated dhcpcd to add the following functionality:

1. Host name and domain names are reset to the original settings, and
   dhcd-<interface>.exe is executed, on "DHCP release".
2. /etc/yp.conf and /etc/ntp.conf are updated in a manner similar to
   /etc/resolv.conf.
3. domainname is always updated unless yp.conf update is disabled (in
   which case domainname update may be turned back on using the old
   '-D' option)



Reproducible: Always
Steps to Reproduce:
Boot....

I'm using dhcpcd rather than pump for the following two reasons:

1. It seems like I'm always going to need "event" scripts, and writing
   these is easier for dhcpcd becauase of the way it writes info files
   with sh syntax.
2. I'm having problems with the original versions of both, especially
   on laptops, but the behaviour of dhcpcd is more predictable (it
   simply fails to take some necessary steps) and therefore easier
   to update. (pump is incomplete _and_ unstable, e.g. it seems to
   exit halfway through for PCMCIA network, and some of the fields are
   sometimes transferred, sometimes not.)
Comment 1 Toralf 2001-03-23 04:25:42 EST
Created attachment 13410 [details]
Revert host/domain name + execute script on release
Comment 2 Toralf 2001-03-23 04:29:17 EST
Created attachment 13411 [details]
Create /etc/yp.conf, and update domain name by default
Comment 3 Toralf 2001-03-23 04:30:19 EST
Created attachment 13412 [details]
Create /etc/ntp.conf
Comment 4 Toralf 2001-03-23 04:33:24 EST
Created attachment 13413 [details]
Updated RPM .spec file
Comment 5 Toralf 2001-04-04 07:39:48 EDT
Created attachment 14604 [details]
Add retry loop for hardware address lookup
Comment 6 Toralf 2001-04-04 07:42:28 EDT
Note that the latest patch applies to version "1.3.19-pl9." Source RPM
containing new source code distribution as well as updated versions of the other
pactches and the .spec file is available under URL indicated.
Comment 7 Elliot Lee 2001-09-10 20:22:10 EDT
Hi,

Apologies for the unresponsiveness of the previous dhcpcd packager, and
thanks for the contribution. Would it be possible for you to get this directly
into the canonical dhcpcd releases? You can reach the author at sv@phystech.com.

Thanks.
Comment 8 Toralf 2001-09-11 05:39:19 EDT
I e-mailed the patches several months ago, and got a reply saying that they
would probably be integrated shortly, but as far as I can tell, there has been
no dhcpcd release after that...
Comment 9 Toralf 2001-10-12 03:13:39 EDT
n 2001.10.12 05:15 Sergei Viznyuk wrote:
> 
> Hi
> 
> your patches have been incorporated into new
> dhcpcd release:
> ftp://ftp.phystech.com/pub/dhcpcd-1.3.21-pl0.tar.gz

An updated distribution based on this would be very welcome!
Comment 10 Elliot Lee 2001-12-20 18:50:56 EST
It's in rawhide. That's all I can offer...

Note You need to log in before you can comment on or make changes to this bug.